DocumentSource (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.io
Class DocumentSource

    java.lang.Object
      javax.xml.transform.sax.SAXSource
          org.dom4j.io.DocumentSource

All Implemented Interfaces:
  Source

public class DocumentSource
extends SAXSource

`DocumentSource` implements a JAXP `SAXSource`for a .

Version:
  $Revision: 1.10 $
Author:
  James Strachan

Field Summary
`static String` | `DOM4J_FEATURE` If `TransformerFactory.getFeature(java.lang.String)`returns `true` when passed this value as an argument then the Transformer natively supports dom4j .

Fields inherited from class javax.xml.transform.sax.SAXSource
`FEATURE`

Constructor Summary
`DocumentSource(Document document)` Creates a JAXP `SAXSource`for the given `Document`.
`DocumentSource(Node node)` Creates a JAXP `SAXSource`for the given `Node`.

Method Summary
`Document` | `getDocument()` DOCUMENT ME!
`XMLReader` | `getXMLReader()` DOCUMENT ME!
`void` | `setDocument(Document document)` Sets the document used as the JAXP `SAXSource`
`void` | `setInputSource(InputSource inputSource)` This method is not supported as this source is always a instance.
`void` | `setXMLReader(XMLReader reader)` Sets the XMLReader used for the JAXP `SAXSource`.

Methods inherited from class javax.xml.transform.sax.SAXSource
`getInputSource, getSystemId, setSystemId, sourceToInputSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOM4J_FEATURE

    public static final String DOM4J_FEATURE

  If `TransformerFactory.getFeature(java.lang.String)`returns `true` when passed this value as an argument then the Transformer natively supports dom4j .

  See Also:
    Constant Field Values

Constructor Detail

### DocumentSource

    public DocumentSource(Node node)

  Creates a JAXP `SAXSource`for the given `Node`.

Parameters:
  `node` - DOCUMENT ME!

### DocumentSource

    public DocumentSource(Document document)

  Creates a JAXP `SAXSource`for the given `Document`.

Parameters:
  `document` - DOCUMENT ME!

Method Detail

### getDocument

    public Document getDocument()

  DOCUMENT ME!

  Returns:
    the document which is being used as the JAXP `SAXSource`

### setDocument

    public void setDocument(Document document)

  Sets the document used as the JAXP `SAXSource`

  Parameters:
    `document` - DOCUMENT ME!

### getXMLReader

    public XMLReader getXMLReader()

  DOCUMENT ME!

  Returns:
    the XMLReader to be used for the JAXP `SAXSource`.

### setInputSource

    public void setInputSource(InputSource inputSource)
                        throws UnsupportedOperationException

  This method is not supported as this source is always a instance.

  Parameters:
    `inputSource` - DOCUMENT ME!
  Throws:
    `UnsupportedOperationException` - as this method is unsupported

### setXMLReader

    public void setXMLReader(XMLReader reader)
                      throws UnsupportedOperationException

  Sets the XMLReader used for the JAXP `SAXSource`.

  Parameters:
    `reader` - DOCUMENT ME!
  Throws:
    `UnsupportedOperationException` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.